Bug 563479 - Review Request: aduna-commons-text - Manipulate/transform/parse text in various ways
Review Request: aduna-commons-text - Manipulate/transform/parse text in vario...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On: 561439
Blocks: 567951 567952
  Show dependency treegraph
 
Reported: 2010-02-10 06:40 EST by Mary Ellen Foster
Modified: 2010-03-14 09:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: aduna-commons-text-2.6.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-14 09:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mat.booth: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2010-02-10 06:40:24 EST
Spec URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-text.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-text-2.6.0-1.fc12.src.rpm

Description: Manipulate/transform/parse text in various ways
Comment 2 Mat Booth 2010-02-13 13:19:59 EST
I will take this one.
Comment 3 Mat Booth 2010-02-14 07:50:34 EST
Rpmlint shows:

aduna-commons-text.x86_64: W: no-documentation
aduna-commons-text.x86_64: W: non-conffile-in-etc /etc/maven/fragments/aduna-commons-text

But I'm not worried about that: Upstream does not seem to include a copy of the licence to use as documentation and the other warning is expected because of the maven dep-map fragment.

Overall, this is a very compliant package. The only thing I would suggest is to have something that ensures no pre-compiled classes are shipped in the source jar and used during the build. Not because that is the case with this package, but because it is good practice for Java packages in general.

Something like this in the %prep section would suffice[1]:

 find -name '*.class' -exec rm -f '{}' \;
 find -name '*.jar' -exec rm -f '{}' \;


[1] Taken from the template in the Java packaging guidelines: http://fedoraproject.org/wiki/Packaging:Java#ant_2
Comment 4 Mat Booth 2010-02-14 07:55:32 EST
One more thing:

It is usual for sub-packages (i.e. the javadoc package) to have a fully versioned dependency on the main package:

 Requires:	%{name} = %{version}-%{release}
Comment 5 Mary Ellen Foster 2010-02-23 09:07:57 EST
New version:
- Remove BuildRequirements that are pulled in by aduna-commons POM
- Require the main package in the javadoc

http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-text.spec
http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-text-2.6.0-3.fc12.src.rpm
Comment 6 Mat Booth 2010-02-23 15:01:40 EST
Thanks for the easy review.

APPROVED
Comment 7 Mary Ellen Foster 2010-02-24 05:50:49 EST
New Package CVS Request
=======================
Package Name: aduna-commons-text
Short Description: Manipulate/transform/parse text in various ways
Owners: mef
Branches: F-12
InitialCC:
Comment 8 Jason Tibbitts 2010-02-24 15:08:03 EST
CVS done (by process-cvs-requests.py).

I added an F-13 branch as well, since that seems to have been left out.
Comment 9 Fedora Update System 2010-03-01 10:54:53 EST
aduna-commons-text-2.6.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/aduna-commons-text-2.6.0-3.fc13
Comment 10 Fedora Update System 2010-03-02 20:48:27 EST
aduna-commons-text-2.6.0-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update aduna-commons-text'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3351
Comment 11 Fedora Update System 2010-03-14 09:39:16 EDT
aduna-commons-text-2.6.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.